
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JS函数实现动态添加CSS样式表文件_基础知识 / iVAN</title>

    <meta name="description" content="JS函数实现动态添加CSS样式表文件_基础知识 先给出函数. 复制代码 代码如下: varaddSheet=function(){ vardoc,cssCode; if(arguments.length==1){ doc=document; cssCode=arguments[0] }elseif(arguments.length==2){ doc=arguments[0]; cssCode=arguments[1]; }else{ alert(&quot;addSheet函数最多接受两个参数!&quot;); } if(!+&quot;v1 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JS函数实现动态添加CSS样式表文件_基础知识</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>先给出函数。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>varaddSheet=function(){ <br />vardoc,cssCode; <br />if(arguments.length==1){ <br />doc=document; <br />cssCode=arguments[0] <br />}elseif(arguments.length==2){ <br />doc=arguments[0]; <br />cssCode=arguments[1]; <br />}else{ <br />alert("addSheet函数最多接受两个参数!"); <br />} <br />if(!+"v1"){//增加自动转换透明度功能，用户只需输入W3C的透明样式，它会自动转换成IE的透明滤镜 <br />vart=cssCode.match(/opacity:(d?.d+);/); <br />if(t!=null){ <br />cssCode=cssCode.replace(t[0],"filter:alpha(opacity="+parseFloat(t[1])*100+")") <br />} <br />} <br />cssCode=cssCode+" ";//增加末尾的换行符，方便在firebug下的查看。 <br />varheadElement=doc.getElementsByTagName("head")[0]; <br />varstyleElements=headElement.getElementsByTagName("style"); <br />if(styleElements.length==0){//如果不存在style元素则创建 <br />if(doc.createStyleSheet){//ie <br />doc.createStyleSheet(); <br />}else{ <br />vartempStyleElement=doc.createElement('style');//w3c <br />tempStyleElement.setAttribute("type","text/css"); <br />headElement.appendChild(tempStyleElement); <br />} <br />} <br />varstyleElement=styleElements[0]; <br />varmedia=styleElement.getAttribute("media"); <br />if(media!=null&amp;&amp;!/screen/.test(media.toLowerCase())){ <br />styleElement.setAttribute("media","screen"); <br />} <br />if(styleElement.styleSheet){//ie <br />styleElement.styleSheet.cssText+=cssCode; <br />}elseif(doc.getBoxObjectFor){ <br />styleElement.innerHTML+=cssCode;//火狐支持直接innerHTML添加样式表字串 <br />}else{ <br />styleElement.appendChild(doc.createTextNode(cssCode)) <br />} <br />}</p>
<p>　　有时我们需要在.js文件对文档动态引入一些CSS样式。对于一些短小的CSS代码来说，这好办，我们可以调用其style方法，如</p>
<p><u>复制代码</u> 代码如下:</p>
<p>varddd=document.getElementById("ddd"); <br />ddd.style.border="1pxsolidred";</p>
<p>　　如果再长一点也无所谓：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>varddd=document.getElementById("ddd"); <br />ddd.style.cssText="border:1pxsolidred;color:#000;background:#444;float:left";</p>
<p>　　本人而言，我是喜欢后者。因为前者有严重的兼容问题。如float这个样式，在IE是styleFloat，在火狐等W3C标准游览器是cssFloat。而cssText则是通吃。 <br />　　如果很长，我们可以动态导入一CSS文件。如</p>
<p><u>复制代码</u> 代码如下:</p>
<p>functionaddSheetFile(path){ <br />varfileref=document.createElement("link") <br />fileref.rel="stylesheet"; <br />fileref.type="text/css"; <br />fileref.href=path; <br />fileref.media="screen"; <br />varheadobj=document.getElementsByTagName('head')[0]; <br />headobj.appendChild(fileref); <br />}</p>
<p>　　这个函数在IE中有点累赘。我向来是支持哪个游览器就用哪个游览器的原生函数，直接使用二进制代码效率最高。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>varoStylesheet=document.createStyleSheet(sURL,iIndex);</p>
<p>　　createStyleSheet带的两个参数都是可选的。 <br />　　但如果我们的样式是某个页面独有的，而且只有管理员才能使用到，而且那部分页面是动态生成的，我们需要一开始就引入它吗？需要特意弄个文件来装载它吗？最好的方法让这些样式与动态脚本捆绑在一起。我这个函数就为此而开发的。 <br />　　坦白说，它最开始是为富文本编辑器而开发的。大家都知道，富文本输入框最流行的做法是把要输入的内容放到iframe中，这就涉及到两种document，一个主页面的document，另一个是iframe的document。iframe的document又涉及到兼容问题。我们可以： <br />variframe=document.createElement('iframe');//生成用于编辑的richtexteditor <br />variframeDocument=iframe.contentDocument||iframe.contentWindow.document; <br />…… <br />　　嘛，扯远了。总而言之，函数最开始的判定就是为这两种document而准备。如果没有涉及到iframe，我们只传入一个参数就行了。最后一个参数永远是CSS字符串。 <br />　　然后是动态生成styleSheet元素，把CSS字符串加入到此元素的问题。当然如果有现阶段的，当然就用现成的。DOM元素越多对游览器的负担就越大。我们想到document.styleSheets方法。它返回一个集合，包含style元素与link元素，还涉及一兼容问题，如：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;!DOCTYPEhtmlPUBLIC"-//W3C//DTDXHTML1.0Transitional//EN" <br />"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt; <br />&lt;htmlxmlns="　　 <br />&lt;head&gt; <br />&lt;metahttp-equiv="content-type"content="text/html;charset=UTF-8"/&gt; <br />&lt;%#强制IE8像IE7一样呈现网页-%&gt; <br />&lt;metahttp-equiv=”X-UA-Compatible”content=”IE=EmulateIE7″/&gt; <br />&lt;%#--默认所有的链接都在本窗口打开-%&gt; <br />&lt;basetarget="_self"/&gt; <br />&lt;title&gt;&lt;%=h(yield(:title))||controller.action_name%&gt;&lt;/title&gt; <br />&lt;%=stylesheet_link_tag"screen","button","style"%&gt; <br />&lt;linkrel="stylesheet"href="/stylesheets/print.css"type="text/css"media="print"&gt; <br />&lt;!--[ifltIE8]&gt; <br />&lt;linkrel="stylesheet"href="/stylesheets/ie.css"type="text/css"media="screen"&gt; <br />&lt;![endif]--&gt; <br />&lt;%=javascript_tag"window._token='#{form_authenticity_token}'"ifActionController::Base.allow_forgery_protection%&gt; <br />&lt;%=javascript_include_tag:defaults%&gt; <br />&lt;styletype="text/css"media="print"&gt;&lt;/style&gt; <br />&lt;/head&gt;</p>
<p>　　上面用alert(document.styleSheets.length);测试一下，IE返回6，W3C游览器返回5。因此，否决了它。而且我们只用到style元素，不使用外联。第二部分的判定就针对head中的style元素而言，没有就创建一个。然后我们把CSS字符串加在第一个style元素就行了。 <br />　　接着我们要加把保险锁，因为当media="print"时，只在页面打印时，定义的效果才有效。为了防止第一个style元素的media值不是screen，我们得改一改。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>varstyleElement=styleElements[0]; <br />varmedia=styleElement.getAttribute("media"); <br />if(media!=null&amp;&amp;!/screen/.test(media.toLowerCase())){ <br />styleElement.setAttribute("media","screen"); <br />}</p>
<p>　　附上media的一些说明。 <br />　　screen(缺省值)，提交到计算机屏幕； <br />　　print，输出到打印机； <br />　　projection，提交到投影机； <br />　　aural，扬声器； <br />　　braille，提交到凸字触觉感知设备； <br />　　tty，电传打字机(使用固定的字体)； <br />　　tv，电视机； <br />　　all，所有输出设备。 <br />　　最后是如此添加的问题。分IE，火狐与其他游览器三种。判定游览器也用各自的私有属性或方法。如styleSheet是IE独用的，getBoxObjectFor是火狐独用的（当然你也可以使用(/firefox/.test(navigator.userAgent.toLowerCase())），通常DOM操作是最耗时的，能用私有就用私有！ <br />　　使用方法。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>addSheet(" <br />.RTE_iframe{width:600px;height:300px;} <br />.RTE_toolbar{width:600px;} <br />.color_result{width:216px;} <br />.color_view{width:110px;height:25px;} <br />.color_code{text-align:center;font-weight:700;color:blue;font-size:16px;} <br />div.table{width:176px;position:absolute;padding:1px;} <br />div.tabletd{font-size:12px;color:red;text-align:center;} <br />");*/ <br />　　对比一下51js的客服果果脚本，更短小，但是它会可能会创建多个style元素，还有一些效率的问题……毕竟我这个最初是为开发富文本编辑而开发的，功能不强大不行啊！ <br />/* <br />动态添加样式表的规则 <br />*/ <br />iCSS={add:function(css){ <br />varD=document,$=D.createElement('style'); <br />$.setAttribute("type","text/css"); <br />$.styleSheet&amp;&amp;($.styleSheet.cssText=css)|| <br />$.appendChild(D.createTextNode(css)); <br />D.getElementsByTagName('head')[0].appendChild($); <br />}}; <br />iCSS.add(" <br />.dhoooListBox,.dhoooListBoxli{margin:0;padding:0;list-style-type:none;font-size:12px;cursor:default} <br />.dhoooListBox{border:1pxsolid#aaa;width:180px;background:#eee;height:200px;overflow:auto;float:left} <br />.dhoooListBoxli{margin:5px;line-height:24px;background:url(images/smilies/time.gif)no-repeat060%;padding-left:25px;color:#555;} <br />.dhoooListBoxli.selected{background-color:#FFCC33} <br />"); <br />　　最后追加几个相关的方法: <br />vargetClass=function(ele){ <br />returnele.className.replace(/s+/,'').split(''); <br />}; <br />varhasClass=function(ele,cls){ <br />returnele.className.match(newRegExp('(\s|^)'+cls+'(\s|$)')); <br />} <br />varaddClass=function(ele,cls){ <br />if(!this.hasClass(ele,cls))ele.className+=""+cls; <br />} <br />varremoveClass=function(ele,cls){ <br />if(hasClass(ele,cls)){ <br />varreg=newRegExp('(\s|^)'+cls+'(\s|$)'); <br />ele.className=ele.className.replace(reg,''); <br />} <br />}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:24:12</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/css%e6%a0%b7%e5%bc%8f%e8%a1%a8/" title="CSS样式表">CSS样式表</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81%e6%b7%bb%e5%8a%a0/" title="动态添加">动态添加</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JS函数实现动态添加CSS样式表文件_基础知识的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYYeLb.html" rel="bookmark">js控制CSS样式属性语法对照表&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CSS与JS紧密配合,为我们的页面增添了很多别致的效果.为了达到某种特殊的效果我们需要用Javascript动态的去更改某一个标签的CSS属性. 例如常用的关闭某个漂浮的广告显示:document.getElementById('ad').style.display='none';相当于:.ad{ display:none}. 下面就是JS 控制CSS样式表的语法对照: CSS语法 (不区分大小写) JavaScript语法 (区分大小写)  border border  border-bott			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0nkwz.html" rel="bookmark">javascript获取元素CSS样式代码示例&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				使用css控制页面有4种方式,分别为行内样式(内联样式).内嵌式.链接式.导入式. 行内样式(内联样式)即写在html标签中的style属性中,如&lt;div style=&quot;width:100px;height:100px;&quot;&gt;&lt;/div&gt; 内嵌样式即写在style标签中,例如&lt;style type=&quot;text/css&quot;&gt;div{width:100px; height:100px}&lt;/style&gt; 链接式即为用link标签			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgE0GZz.html" rel="bookmark">如何用JavaScript实现动态修改CSS样式表&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看过我写的&lt;用JavaScript动态建立或增加CSS样式表的实现方法&gt;之后,你就很容易想明白如何修改CSS样式表了. 正好今天在论坛碰到一位朋友问这样的一个问题: &lt;style&gt; .ls{width=120px;} &lt;/style&gt; &lt;script&gt; //在这里加一句来改变.ls中width的值,如何写 &lt;/script&gt; 有的朋友回答:&quot;如果使用.ls的对象很多的话,用JS确实不方便, jquery方便,$(&quot;.ls&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEOwOz.html" rel="bookmark">JavaScript动态添加css样式和script标签&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[动态添加css样式] &lt;html&gt; &lt;head&gt; &lt;script type=&quot;text/javascript&quot;&gt; window.onload=function(){ var head=document.getElementsByTagName('head')[0]; //获取到head元素 var link=document.createElement('link'); //创建link元素节点,也就是link标签 link.rel=&quot;s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bojR3z.html" rel="bookmark">网页添加CSS样式表的四种方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				核心提示:网页添加CSS样式表的四种方式 一.使用STYLE属性: 将STYLE属性直接加在个别的元件标签里. &lt;元件(标签) STYLE=&quot;性质(属性)1: 设定值1; 性质(属性)2: 设定值2; ...}例如: &lt;TD STYLE=&quot;COLOR:BLUE; font-size:9pt; font-family:&quot;标楷体&quot;; line-height:150%&gt;这种用法的优点 是可灵巧应用样式於各标签中,但是缺点则是没有整篇文件的『统一性』. 二			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLEP6M.html" rel="bookmark">js获取页面引用的css样式表中的属性值方法&lpar;推荐&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: function getStyle(node, property){ if (node.style[property]) { return node.style[property]; } else if (node.currentStyle) { return node.currentStyle[property]; } else if (document.defaultView &amp;&amp; document.defaultView.getComputedStyle) { var s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkk8AM.html" rel="bookmark">HTML，CSS，JavaScript速查表推荐&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				事实上, 速查表 就是来帮助我们把日常中最常用到的信息聚集起来,方便使用,使我们做工作时更有效率.有了它们,免去了你的大脑花额外时间去记忆它们的烦恼--你只需要打开简表,马上能查到你想要的信息. 这篇文章里,你可以看到 最实用的HTML,CSS,JavaScript速查表 ,它们可以当作参考资料,备忘录,能帮助你以最快的速度找到想要的信息. 看看这些简表是不是你想要的,请在文章下面留下你的建议,谢谢! HTML HTML帮助手册 HTML速查手册 HTML特殊字符速查表 Dreamweaver			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ0jeoM.html" rel="bookmark">js切换div css注意的细节&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				附上代码: 复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD HTML 4.01 Transitional//EN&quot; &quot;http://www.w3.org/TR/html4/loose.dtd&quot;&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;&lt;/title&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOngvmp.html" rel="bookmark">在浏览器窗口上添加遮罩层的方法&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何在浏览器窗口上添加一个遮罩层 背景 在web2.0中,页面弹窗是一个很常见的交互方式,这样既可以避免不必要的页面跳转,也可以改进界面的布局和可交互性. 但是,浏览器原生的弹窗函数(alert, confirm, prompt)有着很大的局限性,主要是它们的展现UI一来很不美观,二来也不够灵活,因此,我们经常需要自行定义弹窗函数. 当我们要实现一个模式弹窗时(模式弹窗,即是说出现弹窗时,页面其它地方不可点击),通常的做法是用一个div将整个页面窗口遮挡住. 实现 下面,我们一步步地实现一种较为			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDXxBz.html" rel="bookmark" class="title">嵌入页-php实现嵌入百度页，获取百度搜索结果页，点击网站的地址</a>
					<div>
						问题描述 php实现嵌入百度页,获取百度搜索结果页,点击网站的地址 各位大侠,我要实现这么一个功能! 我的网站一个页面,嵌入百度页,然后在百度页面搜索关键字,到百度结果页,点击结果页的一个网站,弹出网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp86VVb.html" rel="bookmark" class="title">setYear 方法</a>
					<div>
						  设置 Date 对象中的年份值. dateObj.setYear(numYear) 参数 dateObj 必选项.任意 Date 对象. numYear 必选项.其数值等于年份减去 1900. 说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zea8Oz.html" rel="bookmark" class="title">CSS3制作网页下拉菜单代码解释</a>
					<div>
						当我在为 WordPress 编写 Notepad 主题 时,顺道学习了一些新的 CSS3 特性,现在此分享.查看演示可以看到一款类似 Mac 风格的多级下拉菜单,使用 border-radius,b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ6rJz.html" rel="bookmark" class="title">Fireworks MX水粉文字特效制作</a>
					<div>
						本节我们来学习水粉文字特效的制作方法,首先还是先来看如下图所示的效果图. [制作步骤] 1.打开我们上节学习制作的&quot;立体贴图字&quot;的png档的源文件.如下图所示. 2.选中编辑区的蒙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9g43z.html" rel="bookmark" class="title">ping的高级用法</a>
					<div>
						高级 ping的高级用法 对于Windows下ping命令相信大家已经再熟悉不过了,但是能把ping的功能发挥到最大的人却并不是很多,当然我也并不是说我可以让ping发挥最大的功能,我也只不过经常用p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz73jXz.html" rel="bookmark" class="title">&period;NET 动态加载程序集 （三）</a>
					<div>
						我们先看看一般的反射的动态方法查找 下面为ms自带的例子ms-help://MS.VSCC/MS.MSDNVS.2052/cpref/html/frlrfsystemreflectionmethodb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7aQ4M.html" rel="bookmark" class="title">ASP&period;NET的用户控件</a>
					<div>
						asp.net|控件 ASP.NET的用户控件 本文介绍如何在ASP.NET中创建用户控件,控件属性的动态修改以及控件的事件出发机制. 简介ASP.NET的服务端控件使得Web开发工作变得更为简单,功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaXknz.html" rel="bookmark" class="title">引言</a>
					<div>
						同人类任何语言一样,Java为我们提供了一种表达思想的方式.如操作得当,同其他方式相比,随着问题变得愈大和愈复杂,这种表达方式的方便性和灵活性会显露无遗. 不可将Java简单想象成一系列特性的集合:如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPn6wz.html" rel="bookmark" class="title">WPS论文如何设置标题样式</a>
					<div>
						WPS论文如何设置标题样式   操作步骤 1.准备好WPS文档. 2.在开始选项卡,样式组中为各个题目添加标题级别.如默认的标题字体不符合你的论文要求,可以右击标题,在修改样式中修改. 3.例如,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6RXXb.html" rel="bookmark" class="title">PS折叠形状问题讲解</a>
					<div>
						PS折叠形状问题讲解         注:更多请关注photoshop教程栏目,三联PS教程群:181754111欢迎你的加入 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZanZb.html" rel="bookmark" class="title">快读怎么卸载？</a>
					<div>
						  法一.快读小说阅读器默认是安装在C盘的,如果大家选择卸载这款应用,可以从开始菜单进行卸载. 法二.我们也可以从软件管家内选择卸载该阅读器; 出现如下界面,点击&quot;是&quot;,程序会自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdQEwM.html" rel="bookmark" class="title">网络密码越复杂越好吗？</a>
					<div>
						脑子里要记20个密码?肯定还有更简单的方法吧.如何领先黑客一步--又不把自己的脑子烧坏呢? 这幅文字云图像显示的是人们最常用的密码,其中字体越大其使用率越高. 斗胆让我猜猜:你上网用的所有密码--网上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArJgep.html" rel="bookmark" class="title">禁用了U盘还能U盘启动吗</a>
					<div>
						  一位网友在别人的电脑上使用U盘时不小心感染了病毒,自己就照着网上的方法在自己的电脑上禁用了U盘启动,但问题就来了,因为网友有时重装系统时也是用U盘来重装的,如果禁用了之后,不就不可以用U盘来装系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwKBWM.html" rel="bookmark" class="title">模拟相机及数字相机选型区别分析</a>
					<div>
						按输出图像信号的划分,工业相机可分为:模拟相机及数字相机两大类. 模拟相机:模拟相机所输出的信号形式为标准的模拟量视频信号,需要配专用的图像采集卡将模拟信号转化为计算机可以处理的数字信号,以便后期计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6R53z.html" rel="bookmark" class="title">环信2&period;x今天登录缓慢，甚至无法登录！</a>
					<div>
						问题描述 控制台一直出现system.err,希望环信公司尽快修复解决啊! 解决方案 您好,登陆不上有详细的log吗,直接运行的demo也是这样?方便的话导一下log我们这边帮您排查下android  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2o2Gb.html" rel="bookmark" class="title">提高产品口碑传播效果</a>
					<div>
						这是一个口碑与产品如何产生缠绵效果的故事. 一个产品从创意提出到交付,中间会有很多环节,大家认为关键的点有哪些? 当然可以提到很多环节,包括设计,开发,测试,部署等等等等.但是这些环节全部做好就能产生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N9PJM.html" rel="bookmark" class="title">c&plus;&plus; 线程 后台 界面-后台线程怎么访问界面线程？c&plus;&plus;谢谢</a>
					<div>
						问题描述 后台线程怎么访问界面线程?c++谢谢 10C 后台线程怎么访问界面线程?后台处理数据的线程会卡死界面线程,出现界面半天没反应的现象.c++谢谢了 解决方案 PostMessage 发送消息给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boK7WBb.html" rel="bookmark" class="title">VC&sol;MFC ListCtrl 控件功能使用汇总（转）</a>
					<div>
						以下未经说明,listctrl默认view 风格为report 相关类及处理函数 MFC:CListCtrl类 SDK:以 &quot;ListView_&quot;开头的一些宏.如 ListView ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAjdKM.html" rel="bookmark" class="title">《PostgreSQL 9&period;0性能调校》一一1&period;3　PostgreSQL工具</a>
					<div>
						1.3 PostgreSQL工具 如果用户习惯于数据库厂商提供的那些针对数据库本身的完整工具集,这些工具集所涵盖的范围从服务器管理到应用程序开发,那么PostgreSQL可能无法满足这部分用户的需求. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYjNWp.html" rel="bookmark" class="title">VMware12和CentOS7共享文件夹问题解析&lowbar;VMware</a>
					<div>
						为了更好的解决虚拟机与主机的共享问题,VMware公司有一个VMWare-tools,来实现文件共享.这里主要讲的是在Windows下用 Vmware虚拟Linux来与windows来共享. 1.安装 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Re1qb.html" rel="bookmark" class="title">centos下几个生成随机密码和加密的命令</a>
					<div>
						1.使用命令&quot;pwgen的&quot;生成长度等于10个字符的任意的唯一的密码.如果你还没有安装pwgen,可以使用Apt或者YUM安装并获得. 这里使用yum安装 : yum instal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RKk4b.html" rel="bookmark" class="title">11111111111111-markdown语法功能测试</a>
					<div>
						问题描述 markdown语法功能测试 int main(){ return 0; } 解决方案 111111111111111111111111111111111111111111111111111 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXQ89b.html" rel="bookmark" class="title">提高精度-激光测距的精度问题，主要影响因素，如何改进</a>
					<div>
						问题描述 激光测距的精度问题,主要影响因素,如何改进 激光测距的精度问题:精度不高,网上都是mm级的精度,不知如何实现的,哪位大神帮忙解答一下???? 解决方案 根据激光测距的原理,它的测量精度主要是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZB6wOz.html" rel="bookmark" class="title">easyui layout 高度怎么自适应&quest;</a>
					<div>
						问题描述 现在项目里准备用easyui 的layout来布局, 但是遇到高度不能自适应, 会出现2个滚动条很烦...&lt;div id=&quot;main&quot; class=&quot;ea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeoRZM.html" rel="bookmark" class="title">hibernate 多对多 中间表主键问题？</a>
					<div>
						问题描述 现在有一个问题就是在hibernate多对多中间表,一般都是两个外键,例如:用户表主键:userid角色表主键:roleid中间表字段为两个外键:userid,roleid作为联合主键.但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqJjVb.html" rel="bookmark" class="title">巴法络TS-8VHL系列NAS使企业形成统一的资源池</a>
					<div>
						传统的存储网络只是依靠每个与交换机相连接的服务器所能提供的固定的数据存储.因此,当企业存储需求发生变化时,数据管理员的管理工作也就变得复杂起来,不仅管理任务重而且效率也低下,这非常不适宜现代数据中心的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWqX8z.html" rel="bookmark" class="title">javascript获取下拉列表框当中的文本值示例代码&lowbar;javascript技巧</a>
					<div>
						近日碰到一个问题,就是需要将用户点击下拉列表当中某个选项后,将其所选的内容保存起来,例如下面的HTML代码: 复制代码 代码如下: &lt;select onchange=&quot;isSelect ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZNg4b.html" rel="bookmark" class="title">PostgreSQL 9&period;3 Make the streaming replication protocol messages architecture-independent</a>
					<div>
						Allow tools like pg_receivexlog to run on computers with different architectures (Heikki Linnakangas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7L97M.html" rel="bookmark" class="title">JMeter压力测试问题</a>
					<div>
						问题描述 刚接触到Jmeter,还不太熟悉,现在需要进行Http测试,方法是post,需要向服务器传递一个数据包,请问如何发?要测试的应用是:用户要上传自己的数据,并没有对应的页面,只是客服端将自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBdlAb.html" rel="bookmark" class="title">vs2005数据库开发经典书籍</a>
					<div>
						问题描述 我想用vs2005的C#开发C/S结构的数据库软件,数据库为SQLserver,请大家给推荐一本经典的学习书,最好在书中有数据库开发的实例.谢谢了! 解决方案 解决方案二:学一下ADO.NE ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
